--- old/usr/src/cmd/ctfconvert/ctfconvert.c	Wed Sep  4 06:59:30 2019
+++ new/usr/src/cmd/ctfconvert/ctfconvert.c	Wed Sep  4 06:59:30 2019
@@ -10,7 +10,7 @@
  */
 
 /*
- * Copyright (c) 2019, Joyent, Inc.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -39,8 +39,6 @@
 
 #define	CTFCONVERT_DEFAULT_NTHREADS	4
 
-#define	CTFCONVERT_ALTEXEC	"CTFCONVERT_ALTEXEC"
-
 static char *ctfconvert_progname;
 
 static void
@@ -222,28 +220,6 @@
 	VERIFY(ctf_type_size(fp, cpuid) == sz);
 }
 
-static void
-ctfconvert_altexec(char **argv)
-{
-	const char *alt;
-	char *altexec;
-
-	alt = getenv(CTFCONVERT_ALTEXEC);
-	if (alt == NULL || *alt == '\0')
-		return;
-
-	altexec = strdup(alt);
-	if (altexec == NULL)
-		ctfconvert_fatal("failed to allocate memory for altexec\n");
-	if (unsetenv(CTFCONVERT_ALTEXEC) != 0)
-		ctfconvert_fatal("failed to unset %s from environment: %s\n",
-		    CTFCONVERT_ALTEXEC, strerror(errno));
-
-	(void) execv(altexec, argv);
-	ctfconvert_fatal("failed to execute alternate program %s: %s",
-	    altexec, strerror(errno));
-}
-
 int
 main(int argc, char *argv[])
 {
@@ -264,8 +240,6 @@
 
 	ctfconvert_progname = basename(argv[0]);
 
-	ctfconvert_altexec(argv);
-
 	while ((c = getopt(argc, argv, ":ij:kl:L:mo:X")) != -1) {
 		switch (c) {
 		case 'i':
